/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ITransactionAttribute.java 2950 2008-04-25 09:14:23Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.interfaces;

import javax.ejb.TransactionAttributeType;


/**
 * This interface represents methods which can be call on ClassAnnotationMetadata and MethodAnnotationMetadata.
 * @author Florent Benoit
 */
public interface ITransactionAttribute {

    /**
     * @return transaction Attribute type
     * @see javax.ejb.TransactionAttributeType
     */
    TransactionAttributeType getTransactionAttributeType();

    /**
     * Set Transaction Attribute Type.
     * @see javax.ejb.TransactionAttributeType
     * @param transactionAttributeType the type of the attribute.
     */
    void setTransactionAttributeType(TransactionAttributeType transactionAttributeType);

}
