/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJEjbEJB.java 2950 2008-04-25 09:14:23Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.struct;

/**
 * Acts as an implementation of &#64;{@link javax.ejb.EJB} annotation.
 * @author Gael Lalire
 */
public interface IJEjbEJB {

    /**
     * @return Name (resource to be looked up).
     */
    String getName();

    /**
     * Sets Name (resource to be looked up).
     * @param name the given name.
     */
    void setName(String name);

    /**
     * @return Bean name (Name of stateless, stateful, etc. or ejb-name).
     */
    String getBeanName();

    /**
     * Sets bean name (Name of stateless, stateful, etc. or ejb-name).
     * @param beanName the given name.
     */
    void setBeanName(String beanName);

    /**
     * @return business or home Interface.
     */
    String getBeanInterface();

    /**
     * Sets the business or home Interface.
     * @param beanInterface the given interface.
     */
    void setBeanInterface(String beanInterface);

    /**
     * @return MappedName.
     */
    String getMappedName();

    /**
     * Sets mapped Name.
     * @param mappedName the given mappedName.
     */
    void setMappedName(String mappedName);

}
