/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJInterceptors.java 2950 2008-04-25 09:14:23Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.struct;

import java.util.List;

/**
 * List of interceptor classes.
 * @author Gael Lalire
 */
public interface IJInterceptors {

    /**
     * Add a class.
     * @param cls name of the class (asm)
     */
    void addClass(final String cls);

    /**
     * @return list of classes.
     */
    List<String> getClasses();

    /**
     * @param cls the name of an encoded class.
     * @return true if the class is already in the list.
     */
    boolean contains(final String cls);

    /**
     * @return the size.
     */
    int size();

}
